package com.caimei.module.product.entity.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bp_order_product_cart
 * @author 
 */
@Data
public class BpOrderProductCart implements Serializable {
    private Long id;

    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 合同商品ID
     */
    private Long contractProductId;

    /**
     * 购买数量
     */
    private Integer num;

    /**
     * 赠送数量
     */
    private Integer presentNum;

    /**
     * price*num
     */
    private BigDecimal productAmount;

    /**
     * 总价 = discountPrice * num
     */
    private BigDecimal totalFee;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品图片
     */
    private String image;

    /**
     * 商品编号
     */
    private String productNo;

    /**
     * 商品价格
     */
    private BigDecimal price;

    /**
     * 合同id
     */
    private Long contractId;

    /**
     * 供应商ID
     */
    private Long shopId;

    /**
     * 供应商名称
     */
    private String shopName;

    /**
     * 折扣
     */
    private BigDecimal discount;

    /**
     * 折后单价
     */
    private BigDecimal discountPrice;

    /**
     * 税率
     */
    private BigDecimal taxRate;

    /**
     * 增值税
     */
    private BigDecimal addedValueTax;

    /**
     * 总增值税
     */
    private BigDecimal totalAddedValueTax;

    /**
     * 是否是规定商品 0否 1是
     */
    private String stipulateFlag;

    /**
     * 应付供应商金额
     */
    private BigDecimal shopFee;

    /**
     * 应付第三方金额
     */
    private BigDecimal otherFee;

    /**
     * 应付采美金额
     */
    private BigDecimal cmFee;

    /**
     * 单个应付供应商金额
     */
    private BigDecimal shopFee1;

    /**
     * 单个应付第三方金额
     */
    private BigDecimal otherFee1;

    /**
     * 单个应付采美金额
     */
    private BigDecimal cmFee1;

    /**
     * 应付金额
     */
    private BigDecimal shouldPayFee;

    /**
     * 支付状态 0 未付款 1 已付款
     */
    private String payStatus;

    /**
     * 支付时间
     */
    private Date payDate;

    /**
     * 创客ID
     */
    private Long serviceProviderId;

    /**
     * 会所ID
     */
    private Long clubId;

    /**
     * 分期订单标志 0否 1是
     */
    private String stagesFlag;

    /**
     * 个人用户ID
     */
    private Long normalUserID;

    private static final long serialVersionUID = 1L;
}