package com.caimei.module.product.entity.vo;

import com.caimei.module.product.entity.po.Product;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/17
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ProductVo extends Product {
    /**
     * 展示价格
     */
    private BigDecimal retailPrice;

    /**
     * 复购价格,折后单价
     */
    private BigDecimal discountPrice;

    /**
     * 标签数组
     */
    private String[] tagsList;
    /**
     * 商品图片
     */
    private List<ProductImageVo> imageList;

    /**
     * 商品详情
     */
    private ProductDetailVo productDetail;

    /**
     * 购物车商品数量
     */
    private Integer productCount;

    /**
     * 阶梯价格集合
     */
    private List<LadderPriceVo> ladderPriceList;

    /**
     * 供应商信息
     */
    private ShopVo shop;

    /**
     * 前端商品勾选状态
     */
    private Boolean productsChecked = false;

    /**
     * 成本大于复购价 或 当前机构价小于复购价
     */
    private Boolean repurchasePriceState = false;

}
